
\name{ibd_propPower}

\alias{ibd_propPower}
\alias{quickPowerIBD}
\alias{ibdPower}


\docType{data}
\title{Power calculation results from pediatric inflammatory bowel disease (IBD) study (GSE57945)}
\format{
A S4 object.
   \describe{
  \item{\code{ct_TDR_bio_smry}}{Cell-type-specific target TDR.}
  \item{\code{TDR_bio_smry}}{Average target TDR.}
  \item{\code{ct_PWR_bio_smry}}{Cell-type-specific target power.}
  \item{\code{PWR_bio_smry}}{Average target power.}
  \item{\code{PWR_strata_ct_bio_smry}}{Cell type specific target power by gene expression stratification.}
  \item{\code{PWR_strata_bio_smry}}{Average target power by gene expression stratification.}
  \item{\code{ct_FDC_bio_smry}}{Cell type specific target FDC.}
  \item{\code{FDC_bio_smry}}{Average target FDC.}
  }
}

\usage{
data('quickPowerIBD')
}
\description{
Pre-calculated power evaluation results from pediatric inflammatory bowel disease (IBD) study (GSE57945). The results
can be used to create plots using plot functions (\code{plotFDC}, \code{plotPower}, \code{plotTDR}).
}
\value{
One S4 object.
}
\examples{
data('quickPowerIBD')

}
\keyword{datasets}
